# Type alias SignatureInformation

SignatureInformation: { signatureFields: SignatureAnnotation[]; signed: boolean; signedByFields: SignatureAnnotation[] }

Information about signature used in document.

#### Type declaration

- ##### signatureFields: SignatureAnnotation[]

  An array with all available signature fields in the document. The signatureFields represents all signature fields in a file, whether it is signed or not.

- ##### signed: boolean

  The flag indicates whether the document is signed. Note, a document is considered signed if it contains at least one signature field with the signatureValue property filled in.

- ##### signedByFields: SignatureAnnotation[]

  An array with signature field(s) which was used to sign the document. The signedByFields only represents signed signature fields.